#pragma once

#if PLATFORM_ANDROID
#include "Android/AndroidApplication.h"
#include "AppGuardSDK.h"
#include <jni.h>
#endif // #if PLATFORM_ANDROID

class AppGuardUE4Manager {
public:
    static AppGuardUE4Manager& GetInstance();

    void Start();
    void SetUserId(FString userId);
    void SetUniqueClientId(FString uniqueId, long retryTimeSec = 180);   

private:
    AppGuardUE4Manager();
    void init();
    
private:
    static AppGuardUE4Manager* instance_;

#if PLATFORM_ANDROID
    jobject mAppGuardClientUnrealBridge;
#endif // #if PLATFORM_ANDROID
};
